<?php
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Модуль InformationSystems.
 *
 * Файл: /admin/InformationSystems/InformationSystems.php
 *
 * @author Hostmake LLC
 * @version 5.x
 */
// Подключаем основные классы.
require_once('../../main_classes.php');

$admin = new Admin();

// Проверка авторизации пользователя.
$admin->admin_session_valid('InformationSystems');

$kernel = & singleton('kernel');

// Инсталляция всех модулей ядра.
$kernel->LoadModules(!isset($_REQUEST['JsHttpRequest']));

// Инициализация CURRENT_SITE и констант.
$admin->admin_init();

if (!isset($_REQUEST['JsHttpRequest']))
{
	do_html_header_admin($GLOBALS['MSG_information_systems']['information_systems_add_form_link']);
}

$admin_forms = & singleton('admin_forms');

$InformationSystem = & singleton('InformationSystem');

function GetDelimitedGroups($parent_group_id, & $aGroupsTree, $separator = '', $exclude = FALSE, $full_group = FALSE)
{
	$mas = array();
	
	if (isset ($aGroupsTree[$parent_group_id]))
	{
		foreach ($aGroupsTree[$parent_group_id] as $row)
		{
			// Исключение запрещенной группы и ее потомков
			if ($exclude === FALSE
				|| is_numeric($exclude) && $row['information_groups_id'] != $exclude
				|| is_array($exclude) && !in_array($row['information_groups_id'], $exclude))
			{
				if (!$full_group)
				{
					$mas[$row['information_groups_id']] = $separator . $row['information_groups_name'];
				}
				else
				{
					$group_path_name_array = array();
				
					$InformationSystem = & singleton('InformationSystem');
				
					// Получаем полный путь к информационной группе
					$group_path_array = $InformationSystem->GetInformationGroupsPathArray($row['information_groups_id'], $row['information_systems_id']);
				
					// Меняем порядок следования элементов в массиве на обратный
					$group_path_array = array_reverse($group_path_array, true);
					
					foreach ($group_path_array as $group_path_id => $group_path_row)
					{
						$group_path_name_array[] = $group_path_row['information_groups_name'];
					}
					
					$mas[$row['information_groups_id']] = implode(' / ', $group_path_name_array);
				}

				// Потомки
				$mas += GetDelimitedGroups($row['information_groups_id'], $aGroupsTree, $separator . "&nbsp;&nbsp;", $exclude, $full_group);
			}
		}
	}

	return $mas;
}

// Добавление/обновление раздела информационных систем
if (isset($_REQUEST['add_information_systems_dir']) || isset($_REQUEST['save_information_systems_dir']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include(CMS_FOLDER . 'admin/InformationSystems/action/add_information_systems_dir.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset($_REQUEST['add_information_systems_dir']))
	{
		// Отображаем форму
		include(CMS_FOLDER . 'admin/InformationSystems/action/load_information_systems.php');

		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(11, 'load_data');

		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array(
		'error' => $message,
		'form_html' => '',
		'title' => '');
	}

	echo $JsHttpRequest->LOADER;
	exit();
}

// Добавление/обновление информационной системы.
if (isset($_REQUEST['add_information_system']) || isset($_REQUEST['save_information_system']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include(CMS_FOLDER . 'admin/InformationSystems/action/add_information_systems.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset($_REQUEST['add_information_system']) && !isset($watermark_extention_error))
	{
		// Отображаем форму
		include(CMS_FOLDER . 'admin/InformationSystems/action/load_information_systems.php');

		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(11, 'load_data');

		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array(
		'error' => $message,
		'form_html' => '',
		'title' => '');
	}

	echo $JsHttpRequest->LOADER;
	exit();
}

// Добавление/обновление информационной группы.
if (isset($_REQUEST['add_information_group']) || isset($_REQUEST['save_information_group']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include(CMS_FOLDER . 'admin/InformationSystems/action/add_information_groups.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	// или если была ошибка при добавлении
	if (isset($_REQUEST['add_information_group']) && !isset($error_information_group))
	{
		// Отображаем форму
		include(CMS_FOLDER . 'admin/InformationSystems/action/load_information_groups.php');

		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(12, 'load_data');

		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array(
		'error' => $message,
		'form_html' => '',
		'title' => '');
	}

	echo $JsHttpRequest->LOADER;
	exit();
}

// Добавление/обновление информационного элемента.
if (isset($_REQUEST['add_information_item']) || isset($_REQUEST['save_information_item']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include(CMS_FOLDER . 'admin/InformationSystems/action/add_information_items.php');

		if (class_exists('Maillist') && $_POST['maillist_id'] != 0 && !isset($error_information_item))
		{
			$Maillist = new Maillist();

			// Получаем информацию о рассылке
			$maillist_row = $Maillist->GetMaillist(to_int($_POST['maillist_id']));

			if ($maillist_row)
			{
				$template = $maillist_row['maillist_template'];
			}
			else
			{
				$template = $GLOBALS['MSG_maillist']['maillist_template'];
			}

			if ($id = $Maillist->InsertFascicle(to_int($_POST['maillist_id']), 0, 1,
			to_str($_POST["information_item_name"]),
			$Maillist->ReplaceMacro($Maillist->HtmlToText($template), array('text' => to_str($_POST["information_item_text"]))),
			$Maillist->ReplaceMacro($template, array('text' => to_str($_POST["information_item_text"]))), 0))
			{
				show_message($GLOBALS['MSG_information_systems']['vipusk_add_edit_ok']);

				if (isset($_POST['send_as_fascicle']))
				{
					if ($count = $Maillist->SendFascicle($id))
					{
						show_message(sprintf($GLOBALS['MSG_information_systems']['m_send_fascicle_maillist_success'], $count[1], $count[0]));
					}
				}
			}
		}
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset($_REQUEST['add_information_item']) && !isset($error_information_item))
	{
		// Отображаем форму
		include(CMS_FOLDER . 'admin/InformationSystems/action/load_information_groups.php');

		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(12, 'load_data');

		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array(
		'error' => $message,
		'form_html' => '',
		'title' => '');
	}

	echo $JsHttpRequest->LOADER;
	exit();
}

// Добавление ярлыка для информационного элемента
if (isset($_REQUEST['add_information_item_shortcut']))
{
	ob_start();
	
	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		include(CMS_FOLDER . 'admin/InformationSystems/action/add_item_shortcut.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// Отображаем форму
	include(CMS_FOLDER . 'admin/InformationSystems/action/load_information_groups.php');

	$GLOBALS['_RESULT'] = $admin_forms->ShowForm(12, 'load_data');

	// Добавляем определенное выше сообщение
	$GLOBALS['_RESULT']['error'] = $message;

	echo $JsHttpRequest->LOADER;
	exit();
}

// Групповое перемещение информационных групп и элементов
if (isset($_REQUEST['move_items_groups']))
{
	ob_start();
	
	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		include(CMS_FOLDER . 'admin/InformationSystems/action/move_items_groups.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// Отображаем форму
	include(CMS_FOLDER . 'admin/InformationSystems/action/load_information_groups.php');

	$GLOBALS['_RESULT'] = $admin_forms->ShowForm(12, 'load_data');

	// Добавляем определенное выше сообщение
	$GLOBALS['_RESULT']['error'] = $message;

	echo $JsHttpRequest->LOADER;
	exit();
}

// Обновление комментария к информационному элементу.
if (isset($_REQUEST['add_item_comment']) || isset($_REQUEST['save_item_comment']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		include(CMS_FOLDER . 'admin/InformationSystems/action/add_item_comment.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset($_REQUEST['add_item_comment']))
	{
		// Отображаем форму
		include(CMS_FOLDER . '/admin/InformationSystems/action/load_comments.php');

		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(52, 'load_data');

		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array(
		'error' => $message,
		'form_html' => '',
		'title' => '');
	}

	echo $JsHttpRequest->LOADER;
	exit();
}


if (isset($_REQUEST['add_is_dir_property']) || isset($_REQUEST['save_is_dir_property']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		include(CMS_FOLDER . 'admin/InformationSystems/action/add_item_property_dir.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset($_REQUEST['add_is_dir_property']))
	{
		// Отображаем форму
		include(CMS_FOLDER . '/admin/InformationSystems/action/load_information_propertys.php');

		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(50, 'load_data');

		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array(
		'error' => $message,
		'form_html' => '',
		'title' => '');
	}

	echo $JsHttpRequest->LOADER;
	exit();
}

if (isset($_REQUEST['add_is_group_dir_property']) || isset($_REQUEST['save_is_group_dir_property']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		include(CMS_FOLDER . 'admin/InformationSystems/action/add_group_property_dir.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset($_REQUEST['add_is_group_dir_property']))
	{
		// Отображаем форму
		include(CMS_FOLDER . '/admin/InformationSystems/action/load_information_propertys_groups.php');

		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(51, 'load_data');

		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array(
		'error' => $message,
		'form_html' => '',
		'title' => '');
	}

	echo $JsHttpRequest->LOADER;
	exit();
}

// Добавление/редактировние дополнительного свойства информационных групп
if (isset($_REQUEST['add_information_groups_property']) || isset($_REQUEST['save_information_groups_property']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include(CMS_FOLDER . 'admin/InformationSystems/action/add_information_propertys_groups.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset($_REQUEST['add_information_groups_property']) && !isset($error_information_propertys_groups))
	{
		// Отображаем форму
		include(CMS_FOLDER . 'admin/InformationSystems/action/load_information_propertys_groups.php');

		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(51, 'load_data');

		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array(
		'error' => $message,
		'form_html' => '',
		'title' => '');
	}

	echo $JsHttpRequest->LOADER;
	exit();
}


// Добавление/редактировние дополнительного свойства информационных элементов
if (isset($_REQUEST['add_information_items_property']) || isset($_REQUEST['save_information_items_property']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include(CMS_FOLDER . 'admin/InformationSystems/action/add_information_propertys_items.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// Не было ошибок
	// При добавлении (не сохранении) - отправляем команду на загрузку
	if (isset($_REQUEST['add_information_items_property']) && !isset($error_information_propertys_items))
	{
		// Отображаем форму
		include(CMS_FOLDER . 'admin/InformationSystems/action/load_information_propertys.php');

		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(50, 'load_data');

		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array(
		'error' => $message,
		'form_html' => '',
		'title' => '');
	}

	echo $JsHttpRequest->LOADER;
	exit();
}

// Удаление "водяного знака" информационной системы
if (isset($_REQUEST['delete_information_system_watermark']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include(CMS_FOLDER . 'admin/InformationSystems/action/delete_information_system_watermark.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	$GLOBALS['_RESULT'] = array(
	'result' => "
	<script>
		// Удаляем дочерние узлы
		deleteChildNodes('upload_big_information_systems_watermark_file');
	</script>");

	echo $JsHttpRequest->LOADER;
	exit();

}

// Warning: Необходимо проверить
// Удаление изображений для информационной группы
if (isset($_REQUEST['information_group_image_delete_big_image']) || isset($_REQUEST['information_group_image_delete_small_image']))
{
	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include(CMS_FOLDER . 'admin/InformationSystems/action/delete_information_group_image.php');
	}
}

// Warning: Необходимо проверить
// Удаление большого изображения информационного элемента
if (isset($_REQUEST['delete_information_item_big_image']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include(CMS_FOLDER . 'admin/InformationSystems/action/delete_information_item_image.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	$GLOBALS['_RESULT'] = array(
	'result' => "
	<script>
		// Удаляем дочерние узлы
		deleteChildNodes('upload_big_information_item_image');
	</script>");

	echo $JsHttpRequest->LOADER;
	exit();
}

// Удаление малого изображения информационного элемента
if (isset($_REQUEST['delete_information_item_small_image']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include(CMS_FOLDER . 'admin/InformationSystems/action/delete_information_item_small_image.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	$GLOBALS['_RESULT'] = array(
	'result' => "
	<script>
		// Удаляем дочерние узлы
		deleteChildNodes('upload_small_information_item_image');
	</script>");

	echo $JsHttpRequest->LOADER;
	exit();
}



// Удаление большого изображения информационной группы
if (isset($_REQUEST['delete_information_group_big_image']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include(CMS_FOLDER . 'admin/InformationSystems/action/delete_information_group_big_image.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	$GLOBALS['_RESULT'] = array(
	'result' => "
	<script>
		// Удаляем дочерние узлы
		deleteChildNodes('upload_big_information_group_image');
	</script>");

	echo $JsHttpRequest->LOADER;
	exit();
}

// Удаление малого изображения информационной группы
if (isset($_REQUEST['delete_information_group_small_image']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include(CMS_FOLDER . 'admin/InformationSystems/action/delete_information_group_small_image.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	$GLOBALS['_RESULT'] = array(
	'result' => "
	<script>
		// Удаляем дочерние узлы
		deleteChildNodes('upload_small_information_group_image');
	</script>");

	echo $JsHttpRequest->LOADER;
	exit();
}


// Удаление дополнительного свойства типа "Файл" информационных элементов
if (isset($_REQUEST['delete_information_item_property_big_image']) || isset($_REQUEST['delete_information_item_property_small_image']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include(CMS_FOLDER . 'admin/InformationSystems/action/delete_information_item_property_image.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// Определяем префикс для названия слоя в зависимости от того, удаляем большое изображение или малое
	if (isset($_REQUEST['delete_information_item_property_big_image']))
	{
		$div_prefix = 'upload_big_property';
	}
	else
	{
		$div_prefix = 'upload_small_property';
	}

	$GLOBALS['_RESULT'] = array(
	'result' => "
	<script>
		// Удаляем дочерние узлы
		deleteChildNodes('$div_prefix" . to_int($_REQUEST['item_property_id']) . "');
	</script>");

	echo $JsHttpRequest->LOADER;
	exit();
}


// Удаление дополнительного свойства типа "Файл" информационных групп
if (isset($_REQUEST['delete_information_group_property_big_image']) || isset($_REQUEST['delete_information_group_property_small_image']))
{
	ob_start();

	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include(CMS_FOLDER . 'admin/InformationSystems/action/delete_information_group_property_image.php');
	}

	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	// Определяем префикс для названия слоя в зависимости от того, удаляем большое изображение или малое
	if (isset($_REQUEST['delete_information_group_property_big_image']))
	{
		$div_prefix = 'upload_big_property';
	}
	else
	{
		$div_prefix = 'upload_small_property';
	}

	$GLOBALS['_RESULT'] = array(
	'result' => "
	<script>
		// Удаляем дочерние узлы
		deleteChildNodes('$div_prefix" . to_int($_REQUEST['group_property_id']) . "');
	</script>");

	echo $JsHttpRequest->LOADER;
	exit();
}

// Отображение форм
switch (to_int($_REQUEST['admin_forms_id']))
{
	case 11:
	default:
		{
			// Список информационных систем
			include(CMS_FOLDER . '/admin/InformationSystems/action/load_information_systems.php');
			$admin_forms->ProcessAjax(11);
			break;
		}
	case 12:
		{
			// Список информационных групп и элементов
			include(CMS_FOLDER . '/admin/InformationSystems/action/load_information_groups.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 50:
		{
			// Список дополнительных свойств информационных элементов
			include(CMS_FOLDER . '/admin/InformationSystems/action/load_information_propertys.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 51:
		{
			// Список дополнительных свойств информационных групп
			include(CMS_FOLDER . '/admin/InformationSystems/action/load_information_propertys_groups.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 52:
		{
			// Список комментариев к информационным элементам
			include(CMS_FOLDER . '/admin/InformationSystems/action/load_comments.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 174:
		{
			// Список групп пользователей сайта, связанных с информационной группой
			include(CMS_FOLDER . '/admin/InformationSystems/action/load_information_group_site_users_groups.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 175:
		{
			// Список пользователей сайта, входящих в группу пользователей, связанной с информационной группой
			include(CMS_FOLDER . '/admin/InformationSystems/action/load_information_group_site_users.php');
			$admin_forms->ProcessAjax(to_int($_REQUEST['admin_forms_id']));
			break;
		}
	case 176:
		{
			include(CMS_FOLDER . '/admin/InformationSystems/action/load_site_users_group_action_information_group.php');
			$admin_forms->ProcessAjax(176);
			break;
		}
	case 179:
		{
			include(CMS_FOLDER . '/admin/InformationSystems/action/load_site_users_group_change_action_information_group.php');
			$admin_forms->ProcessAjax(179);
			break;
		}
}

if (!isset($_REQUEST['JsHttpRequest']))
{
	do_html_footer_admin();
}
?>